MultiRootFileSet.SetType (Apache Ant API)
Date: 2018-09-11

Package org.apache.tools.ant.types.resources

## Enum MultiRootFileSet.SetType

- java.lang.Object
- - java.lang.Enum<MultiRootFileSet.SetType>
  - - org.apache.tools.ant.types.resources.MultiRootFileSet.SetType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MultiRootFileSet.SetType>`
  Enclosing class:
    MultiRootFileSet

      public static enum MultiRootFileSet.SetType
      extends java.lang.Enum<MultiRootFileSet.SetType>

  What to return from the set: files, directories or both.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `both` |
    `dir` |
    `file` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MultiRootFileSet.SetType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MultiRootFileSet.SetType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### file

          public static final MultiRootFileSet.SetType file

    - #### dir

          public static final MultiRootFileSet.SetType dir

    - #### both

          public static final MultiRootFileSet.SetType both

  - ### Method Detail

    - #### values

          public static MultiRootFileSet.SetType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MultiRootFileSet.SetType c : MultiRootFileSet.SetType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MultiRootFileSet.SetType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null